## shariks 0.1.3

=== Makefile ===
CCFLAGS = -lSDL_image -lSDL_ttf -lSDL_gfx 
SDL_CFLAGS := $(shell sdl-config --cflags)
SDL_LDFLAGS := $(shell sdl-config --libs)

SOURCES = src/main.cpp \
		  src/Ball.cpp \
		  src/Vector3D.cpp \
		  src/Vector2D.cpp \
		  src/TBList.cpp \
		  src/DevStates.cpp \
		  src/Timer.cpp \
		  src/Ui.cpp \
		  src/ScoreSystem.cpp
HEADERS = src/main.h \
		  src/Ball.h \
		  src/Vector3D.h \
		  src/Vector2D.h \
		  src/TBList.h \
		  src/DevStates.h \
		  src/config.h \
		  src/Timer.h \
		  src/Ui.h \
		  src/ScoreSystem.h

DBUSFLAGS := $(shell pkg-config --cflags --libs dbus-glib-1 libxml-2.0) 

all: shariks

shariks: ${SOURCES} ${HEADERS}
		g++ ${SOURCES} ${HEADERS} -o shariks ${CCFLAGS} ${DBUSFLAGS} $(SDL_LDFLAGS) $(SDL_CFLAGS) -O2

install: shariks
		install -d ${DESTDIR}/usr/bin
		install shariks ${DESTDIR}/usr/bin
		install -d ${DESTDIR}/usr/share/shariks
		install -d ${DESTDIR}/usr/share/shariks/data	
		install ./data/*.png ${DESTDIR}/usr/share/shariks/data
		install ./data/*.ttf ${DESTDIR}/usr/share/shariks/data
		install ./data/icon.bmp ${DESTDIR}/usr/share/shariks/data
		install -d ${DESTDIR}/usr/share/shariks/data/help
		install ./data/help/* ${DESTDIR}/usr/share/shariks/data/help
		install -d ${DESTDIR}/usr/share/applications/hildon
		install shariks.desktop ${DESTDIR}/usr/share/applications/hildon
		install -d ${DESTDIR}/usr/share/pixmaps
		install shariks.xpm ${DESTDIR}/usr/share/pixmaps

.PHONY: clean

clean:
		rm -f *.o
		rm -f shariks
		rm debian/shariks -r -f

## shariks 0.1.1-1

=== debian/changelog ===
shariks (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- maemo-sensors <maemo-sensors@cs.karelia.ru>  Thu,  2 Sep 2010 22:57:30 +0400

=== debian/control ===
Source: shariks
Section: user/games
Priority: extra
Maintainer: Konstantin Kirpichonock <kirpiche@cs.karelia.ru>, Vladimir Dmitriev <vdmitrie@cs.karelia.ru>, Sotnikov Arsenii <sotnikov@cs.karelia.ru>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-gfx1.2-dev, pkg-config, libxml2-dev, libdbus-glib-1-dev
Standards-Version: 3.7.2

Package: shariks
Architecture: any
Homepage: http://oss.fruct.org/wiki/Sensors_(Shariks)
Depends: libsdl-ttf2.0, libsdl1.2, libsdl-image1.2,libdbus-glib-1-2, libxml2, libsdl-gfx1.2-4
Description: Accelerometer based game.
 In our game player must use the Ball to collect smaller balls (TailBalls), which 
 connect to player's ball using links. On high speed links will break. Also there 
 are CrazyBalls (periodically they begin fast random movement and may break links 
 between Ball and TailBalls) and Stars (when player's Ball touches it, player lose 
 one life. After all 3 lives are lost game will end) on game field. Crazy Balls 
 and Stars are always in movement. After some time, linked TailBalls become green. 
 When you tap the screen, tail of Tail Balls will breaks and you score points, but 
 only for green TailBalls. After that TailBalls will appear again. Control of Ball 
 is implemented by accelerometer or keyboard (Up, Down, Left, Right arrays).
 'Return (Enter)' - pause game;
 'm' - Menu;
 'SPACE' - New Game;
XSBC-Bugtracker: mailto:maemo-sensors@cs.karelia.ru
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oIGAwmIsUImvwAABFWSURBVGjezZp7sF1Vfcc/v7X32ed9z33k3txL
 Qt5AJIEAOggIiOER8QG1Y1WszghW3jQ+6pQWHWeszrQFUQso6IxoYbS1dmqJ
 AZGqRXmEVyAkJCQhIbm579x7zrnnsc9+rL1W/zjnhvCUqemUfWbPXuecvdf6
 fddvrd/v+11rC0fq+C5wFXAT4OFhcREUIFgMgsESsx7NETzkSFbGjTjkOWt+
 ceDTpXTpbNdxF4kVLNZGSbS37Fc2lFvlH/A4WzkNuPKtBODbgKfOPGXw5F9/
 6oSPeyf2HU/e8cjl0gRhRDmq8fDYJu7c8pODw7UDp9grzciRaFYdQV+6XXnz
 vnOPXex9ePk6mxbFIzt/ywPPb2DL6CZ68h6fPP5cu3phV7/r2LOOVLPuEQNg
 cTIua1TpXjYxJunCKhYdnwM8UMOMuk+zj23S1/sCouzqtx6A9nTNaRMwEW1C
 yRMoTxAlYC1J0p7HhQxgWX4km3358ZvXuOs7b9IJFhtE0Aqg2UpohppmK6YZ
 aPzA0Aqg2gSg8oYV3fk6v9/+hzxwJ7C2U76JbhxSTDDD1RgAHgHOeH37k4RK
 rQnNIoi0TyVgAWvAUTA1CxZ2AfAD4LLXCMeXdso304WwADAIY1xJnTuBF4Gv
 vtIDtx724Df5QGmQ780fUj9isVzPjbwTOsbf8gpv/U2nfB1RM2LPWAXCAPzW
 nCfa5WbQPvdOQ6zZC4cZf/Nh9V3VKX+DtX0D7q1Ll8imJct52C1wM99gJZcC
 q4CvvNIDhUM9f/mSY7lxzXK6vKbHvNSiCzeP1K567LaJ/6DBDVxHnTsAc5i3
 buUkEj6G5cJ6AFUfXNXxwqE5Dn7U/p7z+KJ/C+8Cfsx1PMPnO8P0qc7Nt/Cl
 NUtz689dlZ43G9bQmYTRGn+xaQtrGv/IZ/goW7j78DzwHeBq4CbWDi7nrovO
 4yingTVTaS5YdbzEcZ7f7DrI9x7euRmHi7iC0c5zRWK+Vurm4uP6WXRS/wp5
 R+9aOxI9KvtaW3E6IIxtu/rdvVfgmn77yMFfyKbJZ9g7w3Bllg1YbmA9s506
 b3rXcZnPfuKMnNOV8e2juwJmakoyOY9yNuC+B7k/qnApn2ec2w5PZH9PQXq5
 +6MXc3Gx3M/UzpChJXXWrulHKFmXjDx5YJavbxh+UeV5m2mxAuHuUxay5syF
 R8t7+i9jKHusTau8YGGfv5nJcA8IuHgsy5/K4tzJGAxR4tuJYLdsGP02vz7w
 PNsneD7RXAScumxI7v7yn6RIiK1OrEwchC3PuqjmArvgzKY8NTLNw4/wt1T5
 B76McQ4BuJB1J57EF982VPSau+YR6SpLl8Vkiz6ahkTUGSyFtqfLlp7akVxU
 zPHp846VlR8+5r28e+BSKab6cESJUoKjXOZnl7G8cCor8u9kaf4dlLwBDDGG
 GIuWTKrAqtJZHF1K2Ujt7B9vJh9JhD+74WJSVhLCCAlCcBxoRIbaVEokytue
 BTUpB6yoNdnA/ZTdDodJOV2cuWgBhXDCs7OVqpSOalEsQq1pcZ0QR4UgyJrF
 yInLWHNMd5b3L36fXZB+uxhCjAhGWYyAiEVbgyEkEfdQrLAYEgwGTWIjDDFr
 ShdKdkXW5lM/ne87dRTYho8kCegEtIb+HggWTTM705QhEdtXtItHshzPN3nB
 7cyEUn8fq7pyYJKq5Bck9PdBowmuA64LSrXHW2Lhg6s9Fqp3M5A+TowKsGKw
 AkYsiVgEgxaNwkVZ1QYgbVJqSDofTUJEbCMW5d4u6xa2GHH/nWojFGvBJBB3
 AMQaCgVwMi1MBBkH0h5LwhbKnQsROkGFDcjaxGbSSJRAw28b76g2gE6yotdZ
 Rr+3jESaOCrdjvMKrFistI1EYqw4WJz2n4Dt+CARQ2I1RiKsREQ2YlH+RGqt
 5xj3t4AFY0CblwBEGkyMHR9FhscwYcg2grk5cDp+yyNdnuH9JYvjCTY2HTfq
 dk/EMUQxhLFiee400k4apcBRgnJAiaDEImJBJYgYQGM7YIy0DTY2wkjYHl5E
 JIQYImLbIiu97Gk8TRjbdlsRL10jbK2FPDmCnajx19T4KdfPAXgQ2MDTjXM5
 MFzjfFfhFVPYWCNx0umBGFoxLMwdw/z8UShlcRw55B1HWURZlEpAGRANYhCJ
 saKx0pnAEmGISOhcJULbCEOIFYtnu9k7u4c4gahtOLHGDleRx8YIqy2+wHa+
 ydfb7KAN4CudLPwZntFr+dlog5XDdRZoDS6oWINOsPOLRVk5bzVKGRwlOI7F
 URbl2HbMVwYRizgGUQkojVW6PZyIMdIB0AGTELY9YEM0IYkN8RyP0NTYV55l
 rIo5UENvniDeV+a32nIxV7GRK4HzgPteKWhuBa49JFBOxOXPgbMRVn38DIqn
 HbWcojOE56bxVPt0VZqUSuFKGkdclKTaV1IoXBIiNC3EpHDIYUwnEhmNtpok
 0cQmJkpiIhMSJSGz8Rj37N3EA9vZTsIPMfyc69h9iNBd+Xpkbs7424BreBZ4
 luspDpzAPb15zvGcNOIGiLKIY8Gx7bGukvaJBxKjMXSzghyDTPMkU/yGpo7o
 Ne+gOzW/TVtJsFZjbNLJDRHWtj3kKpejii4LevTU6Ajf5wtUD2nuK9+MHrjm
 sHI/xw2UWJBPg3F8UC7i0DZeGXCSdnwRMFiajOHgUJstMF0dZyp+njhdx2TG
 2NWa5JR559OX7cVKgjUaQ9KeI8RYFWGtJqRMd86QdTkRh/lA9RDJ+18Imt5i
 mr5sGgIZIa2GEKcbcQxWWRCFRWNxCRKfHfXH2HPAYWrmSaIkwtgYEYtyIJXy
 qVYe40MnnINVbcNBtz0hGlRCI9lPxewjnzGkHHqx5P5YRZZxFZmUC8rRBM4I
 rtMk5Qx1YoDB2gSDZn91lKf2BAQhpNOQTbUjVGJAx+1QvPXABGcsKTNQymEJ
 wIk7dbSYSXZRp4y4hxmm3li3u29CrDsCylVzWdminQpNm1CQhSjSiKQwJmHf
 9BQAAz3gKofG2DyCWg6v2KRnfplENE4Kdk9O0F9ajJGYBB9fTVJR+9COwTGQ
 shBprLV/eNXEfRNi3Q81rcSQcZ124nJIg1h8JvEIyTAPlwJWhQz0QlqlGN1y
 PGGzC7DUK5aoUmXhmt1k+yK0qqGp4dsJfBkjUnUcB1wDxmlnYWMQYw5JiT8K
 QC1MqLUiepQLjqRQNoUj6TYQDCEVYnyKxYguD4KZHtLZLrx8CrGgQ0PU6iZl
 CnTNK5OVGrPsQYsPFhzxQEUYBxzTlqH1ALSh0R5nfwyAgBcqTQ74IYuNVqjU
 XIxPofBQZHBII+KS9lIUimBT0Ky5aJvBWkvYMhS6YwbnC6kCNBsOijQK2yF5
 CVZpHGVQqs23Kk2IDNvRTByy5Q7gipeb57zmCsTGTvlbnIzLJbMNzjphMb1d
 WZeCl8GRNIo0DhkUHi5pxKaZbYGX9unP9tNfKuJl8xRzLvNKwnFLAnq7YyYb
 Pt2pIXKeg8V2JnCbBFoSjIXyLOw5CE8No9EUOB+HX7GXXxy2OvGLVy4t3tLR
 xZcCt/IehJuXDbnHn7ZCpJCNne4Mqi+ToZjN0JfPITaLI1lcMiiyuKSZaSY8
 N/0iZy1eQJpBXNuDY702TVBlaskID704xelL5yFOiCFA00LTIsEnsSEzVYuN
 euhyjqXpD9iZhkmeHNuvH9izrUHC7bh8jSsI5zKyvGxp47MojuOWxf3e1Z89
 Zzkn9A3aAF/q7KMcTHGwCgW3RF++QDGbaxtucziSwSWDS5bNIzPsLVf5wDGn
 0JNaiEsGTYN9zT1s3P0MF6ycR0/BkswZbn0SaaEJaAQt6i1Y1nM0eRaRY5A0
 PTikbNPU5PYnHuLn2/Y+G8V8gqvY2h5CKWA78C3y6ih+uHa1uuyr605gRe5U
 ina1pBnAikU700QmpFLXeKqAqzzSThpHPBw8lM3giMfyrkGyboF/2/Ycj48M
 89jYCzw4vIPxxkEuXrWIvlwKYxMsGiTBSoKxmmYYM13TdBUSxAmwkpAQEVEn
 sGWJ1bRds1AoZmVwx0RwYbTOPMBGDrr8DPgGDmnv6tWDxUvWrcyRos/mOFq6
 WYUvU7SYxJMCKaeOtpqqH+KQQxJDKaMQ5SCiEOsSI6zsG+KUM1bgE9HUdbKu
 BUJ8GsTWB1T7fhTWCI0WVBqCBVohKAkwqVFiqeFIFiUKQyT7x/O0JpfZo9OZ
 JbvjkQ/q2+Kdbmcql7ozudPnpVexbW/JBg0l711cJ5BpIlslkVZbkJt2hIji
 GGssNV+T6IhSJk3BE5QIgpAAvtUgDlk3TUyLxCYdvdy+RxBaoaHaSqiHBm0s
 Whv8jhqL0zGhW8ZRCiWWg9N9PPb40cRBBkeyOEq5WubCqCIITDAVW8PsuOWh
 52bRZ41ywfIxAgmosxtfzxLEEESwebTFmcsiBvIp2wxj0XEL31UUPKGQdnGU
 ixXpxBgNJCAGhSUyhnoYUQsC/DgiTDQGa4PYyNZRy9sGsVojcQxt+mIwRrH5
 6VXIbEKuhNTqdUIdPklA0g6j9xHr83Uxn8v96fx8r7iVWcanQ8xAmUx+M1U9
 xqwfU63DRAXu2ZrokdkoWNKT83KplDVGRCcQxIZGENMII4IkohW3CHSLZtyi
 1moy02xQ8Zs0goAgDolNjLWxrfix3PV4k80jNlrSg+vISzpYJzAyeiz1kQJD
 S/J22kSyd/bAC62o9W3WU3kpD6xjqhpVThoaWLR86bJemvurzKZKeIU9NFoh
 1Tq2PItseI5mK+SySlX/eOvBxnmDRS9f8FIIggWbGCOJTUipDFnVhyddRElE
 I6rRiH20bq9ExCYm1BG7Z3z5yeZaY6psPmIN/7q/yscWFtuVaY2NImTy4Kno
 ad/aQlZ2zo4yXB++kRQb2YB1DiWv62iadXaqElfO7S4eXcym89amsxLqyAbh
 NAdmkPt30Dw4y9e4htv5JbuCteZXTwxXl9d0PC/vORmsFcexdqi7R5YVVrPA
 ezu9qSXk0opUtkY9LtMMQltpBTJe9/ndi7Xaxq2137ca9hLW8yD3siu8gF0v
 ljkr55J3QIKoRBIvtU53UcZaZbaXdzykQ/13XE2FO+Yy8Ubgn4HL2ROcE1Qq
 YeXsrv552UKuRM2flR1j4/Lofl6YqXMD13ALG4B1wBVMch93jZzaGt00Nq0n
 m36pJy+lNUcNkmYAz/aAGAI7QyiTtGSMB3ZOyaP7q7vv3Vn+7chYdCMtruev
 GD+UYa9iW3QevxuuM78RsqQVO66SQTkYlNl6cOueZsP/Aut5mnuBSw6nEmvb
 Ipn7eLp5jr9tqjm1YLoxvWTfzOT0zsng+0GLL3Et97EDuB/4XGdj75fAL3mW
 07mnIuGxK4bsKScOljDWw0hIyAw+4/gySuIOc9dTk+w8EF3DOF/nBrbwX1ju
 6FCDOapwH6P2vdxbqbN5MojL1bCRGp4d3ug3/S+znt8DsKK9mvL6ov6fGMQy
 gBCSqP18zgRvuEcc4g0M8C+fOtv70GkLFpK2i0lLD1iIpErTHiCSA9z5cMCD
 2/lUfDk/6mjvV+/OXPoym3IY+rBUWE/jlXa+WtTPUYu/ZALmmKB5iS9d9xoA
 rgJuQYmwNOVGzDKMJw1SdCECMQ0CWyGMQ7oygLDyVdp77rj0FZ15LT7gQ8dD
 TxzWya9Jpy97A2p93RtrN2PIhwFUGhrPPYijZtq5wBii2BJG7Tzypvanr32N
 3z7wf7lLCVYnTEyU3WNs1Eez0Ytfy2ITQbmaXKlBLjdN3a9hsf5bb5sVkihW
 O/aOLzkrzJ5sW7MtcWuzYAxNHzILllIoJfbAzH+LsfXH3noAPLSv5d4XZhqX
 O/PGpa/YTVdPP0qJTTdjqYvPzupBmawnI8bwxFvzZY9v4amMXJD1sle6KnUO
 Ivm5Rowxo2ES/meow+8SsI3sq+Xh/z+A9pqqkHrZ6zZzKwsGiCkS88kj19z/
 AL937wQmPWJxAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/shariks.sgml > shariks.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/shariks.
	$(MAKE) DESTDIR=$(CURDIR)/debian/shariks install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
